GCLOUD_COMPUTE_INSTANCES_ADD-ACCESS-CONFIG(1)

NAME

gcloud compute instances add-access-config - create a Google Compute Engine virtual machine access configuration

SYNOPSIS

gcloud compute instances add-access-config NAME [--access-config-name ACCESS_CONFIG_NAME; default="external-nat"] [--address ADDRESS] [--network-interface NETWORK_INTERFACE; default="nic0"] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances add-access-config is used to create access configurations for network interfaces of Google Compute Engine virtual machines.

POSITIONAL ARGUMENTS
NAME
    The name of the instance to add the access configuration to.

FLAGS
--access-config-name ACCESS_CONFIG_NAME; default="external-nat"
    Specifies the name of the new access configuration. external-nat is used as the default if this flag is not provided.
--address ADDRESS
    Specifies the external IP address of the new access configuration. If this is not specified, then the service will choose an available ephemeral IP address. If an explicit IP address is given, then that IP address must be reserved by the project and not be in use by another resource.
--network-interface NETWORK_INTERFACE; default="nic0"
    Specifies the name of the network interface on which to add the new access configuration. If this is not provided, then "nic0" is used as the default.
--zone ZONE
    The zone of the instance to add an access config to. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.